%define upstream_name    Regexp-Extended
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Regexp::Extended - Perl wrapper that extends the re module with new features
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Clone)
BuildArch:	noarch


%description
Rexexp::Extended is a simple wrapper around the perl rexexp
syntax. It uses the overload module to parse constant qr// 
expressions and substitute known operators with an equivalent perl
re.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# make test don't work
# make test

%install
%make_install

%files
%doc README
%dir %{perl_vendorlib}/Regexp/Extended
%{perl_vendorlib}/Regexp/Extended/*
%{perl_vendorlib}/Regexp/Extended.pm
%{_mandir}/*/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.10.0-11.mga10
+ Revision: 2215901
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.10.0-10.mga9
+ Revision: 1901191
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-9.mga8
+ Revision: 1497011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-8.mga7
+ Revision: 1270896
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1032806
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 930208
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 746771
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 686100
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 514453
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 372300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 26911
- mageia rebuild
- imported package perl-Regexp-Extended


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 404357
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-6mdv2009.0
+ Revision: 258324
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-5mdv2009.0
+ Revision: 246393
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.01-3mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.01-3mdv2008.0
+ Revision: 25101
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-2mdk
- Fix According to perl Policy
	- Source URL
	- BuildRequires
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdk
- initial Mandriva package

